-- MySQL Script generated by MySQL Workbench
-- 05/04/15 21:06:11
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema LinkEdu
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `LinkEdu` ;

-- -----------------------------------------------------
-- Schema LinkEdu
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `LinkEdu` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
USE `LinkEdu` ;

-- -----------------------------------------------------
-- Table `LinkEdu`.`Familias`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `LinkEdu`.`Familias` ;

CREATE TABLE IF NOT EXISTS `LinkEdu`.`Familias` (
  `CodigoFamilia` VARCHAR(15) NOT NULL,
  `NIFResponsable` VARCHAR(15) NOT NULL,
  `NombreCompleto` VARCHAR(70) NULL,
  `Direccion` VARCHAR(255) NULL,
  `Numero` VARCHAR(5) CHARACTER SET 'utf8' COLLATE 'utf8_spanish_ci' NULL,
  `CodigoPostal` VARCHAR(8) NULL,
  `PisoPuerta` VARCHAR(10) NULL,
  `FechaAlta` DATE NULL,
  `Telefono1` VARCHAR(15) NULL,
  `Telefono2` VARCHAR(15) NULL,
  `Email` VARCHAR(70) NULL,
  `Observaciones` LONGTEXT NULL,
  `Foto` BLOB NULL,
  `Clave` BLOB NULL,
  PRIMARY KEY (`CodigoFamilia`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `LinkEdu`.`Profesores`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `LinkEdu`.`Profesores` ;

CREATE TABLE IF NOT EXISTS `LinkEdu`.`Profesores` (
  `NIFProfesor` VARCHAR(15) NOT NULL,
  `NombreProfe` VARCHAR(45) NULL,
  `Apellidos` VARCHAR(45) NULL,
  `Direccion` VARCHAR(255) NOT NULL,
  `Numero` VARCHAR(5) CHARACTER SET 'utf8' COLLATE 'utf8_spanish_ci' NOT NULL,
  `CodigoPostal` VARCHAR(8) NOT NULL,
  `PisoPuerta` VARCHAR(10) NOT NULL,
  `FechaAlta` DATE NULL,
  `Telefono` VARCHAR(15) NOT NULL,
  `Clave` BLOB NOT NULL,
  `Email` VARCHAR(70) NOT NULL,
  `Observaciones` LONGTEXT NULL,
  `Foto` BLOB NULL,
  `Admin` TINYINT(1) NULL,
  `CIF_Centro` VARCHAR(15) NULL,
  `CodigoEstudios` VARCHAR(15) NULL,
  `CodigoCurso` VARCHAR(15) NULL,
  PRIMARY KEY (`NIFProfesor`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `LinkEdu`.`Missatges`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `LinkEdu`.`Missatges` ;

CREATE TABLE IF NOT EXISTS `LinkEdu`.`Missatges` (
  `idMissatges` INT NOT NULL AUTO_INCREMENT,
  `DataMissatge` DATETIME NOT NULL,
  `Llegit` TINYINT(1) NULL DEFAULT 0,
  `Adjunt` BLOB NULL,
  `Asunto` VARCHAR(30) NULL,
  `Texto` LONGTEXT NULL,
  `Familia` VARCHAR(15) NULL,
  `Profesor` VARCHAR(15) NULL,
  `Remitente` VARCHAR(15) NULL,
  `Destinatario` VARCHAR(15) NULL,
  PRIMARY KEY (`idMissatges`),
  INDEX `fk_Missatges_Familias1_idx` (`Familia` ASC),
  INDEX `fk_Missatges_Profesores1_idx` (`Profesor` ASC),
  CONSTRAINT `fk_Missatges_Familias1`
    FOREIGN KEY (`Familia`)
    REFERENCES `LinkEdu`.`Familias` (`CodigoFamilia`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Missatges_Profesores1`
    FOREIGN KEY (`Profesor`)
    REFERENCES `LinkEdu`.`Profesores` (`NIFProfesor`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `LinkEdu`.`Centros`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `LinkEdu`.`Centros` ;

CREATE TABLE IF NOT EXISTS `LinkEdu`.`Centros` (
  `CIF` VARCHAR(15) NOT NULL,
  `Nombre` VARCHAR(150) NULL,
  `Direccion` VARCHAR(250) NULL,
  `Numero` VARCHAR(45) NULL,
  `Otros` VARCHAR(255) NULL,
  `Telefono` VARCHAR(15) NULL,
  `CodigoPostal` VARCHAR(10) NULL,
  `email` VARCHAR(50) NULL,
  `Observacions` LONGTEXT NULL,
  PRIMARY KEY (`CIF`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `LinkEdu`.`Estudios`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `LinkEdu`.`Estudios` ;

CREATE TABLE IF NOT EXISTS `LinkEdu`.`Estudios` (
  `CodigoEstudios` VARCHAR(15) NOT NULL,
  `Descripcion` LONGTEXT NULL,
  `Cursos` INT NULL,
  `CIF_Centre` VARCHAR(15) NOT NULL,
  `Observaciones` LONGTEXT NULL,
  PRIMARY KEY (`CodigoEstudios`, `CIF_Centre`),
  INDEX `fk_Estudis_Centres1_idx` (`CIF_Centre` ASC),
  CONSTRAINT `fk_Estudis_Centres1`
    FOREIGN KEY (`CIF_Centre`)
    REFERENCES `LinkEdu`.`Centros` (`CIF`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `LinkEdu`.`Cursos`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `LinkEdu`.`Cursos` ;

CREATE TABLE IF NOT EXISTS `LinkEdu`.`Cursos` (
  `CodigoCurso` VARCHAR(15) NOT NULL,
  `Descripcion` LONGTEXT NULL,
  `Meses` INT NULL,
  `CodigoEstudios` VARCHAR(15) NOT NULL,
  `Observaciones` LONGTEXT NULL,
  `CIF_Centro` VARCHAR(15) NOT NULL,
  PRIMARY KEY (`CodigoCurso`, `CodigoEstudios`, `CIF_Centro`),
  INDEX `fk_Cursos_Estudios1_idx` (`CodigoEstudios` ASC),
  CONSTRAINT `fk_Cursos_Estudios1`
    FOREIGN KEY (`CodigoEstudios`)
    REFERENCES `LinkEdu`.`Estudios` (`CodigoEstudios`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `LinkEdu`.`Alumnos`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `LinkEdu`.`Alumnos` ;

CREATE TABLE IF NOT EXISTS `LinkEdu`.`Alumnos` (
  `NIFAlumno` VARCHAR(15) NOT NULL,
  `Nombre` VARCHAR(45) NULL,
  `Apellidos` VARCHAR(45) NULL,
  `Telefono` VARCHAR(15) NOT NULL,
  `Email` VARCHAR(70) NOT NULL,
  `Observaciones` LONGTEXT NULL,
  `Foto` BLOB NULL,
  `CIF_Centro` VARCHAR(15) NOT NULL,
  `CodigoEstudios` VARCHAR(10) NOT NULL,
  `CodigoCurso` VARCHAR(10) NOT NULL,
  `CodigoFamilia` VARCHAR(10) NOT NULL,
  PRIMARY KEY (`NIFAlumno`, `CodigoEstudios`, `CIF_Centro`),
  INDEX `fk_Alumnos_Familias1_idx` (`CodigoFamilia` ASC),
  INDEX `fk_Alumnos_Cursos1_idx` (`CodigoCurso` ASC),
  CONSTRAINT `fk_Alumnos_Familias1`
    FOREIGN KEY (`CodigoFamilia`)
    REFERENCES `LinkEdu`.`Familias` (`CodigoFamilia`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Alumnos_Cursos1`
    FOREIGN KEY (`CodigoCurso`)
    REFERENCES `LinkEdu`.`Cursos` (`CodigoCurso`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
